kdrill (6.5deb2-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 14:00:28 +0800

kdrill (6.5deb2-12) unstable; urgency=medium

  * Move packaging to salsa.debian.org and update Vcs fields
  * Standards-Version 4.3.0 - no changes needed

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 24 Dec 2018 04:57:36 +0100

kdrill (6.5deb2-11) unstable; urgency=medium

  * New patches:
    - rename-getline.diff - rename getline() function to avoid conflicts with
      glibc (closes: #808664)
  * Remove .menu files. The package already installs .desktop files for all
    programs. This fixes lintian warnings.
  * Standards-Version 3.9.6 - no changes required
  * Pass -n to gzip when compressiong dictionary files, fixes lintian warning
  * Fix Vcs-* fields in debian/control

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 26 Dec 2015 19:30:27 +0100

kdrill (6.5deb2-10) unstable; urgency=medium

  * Add hardening support
  * New patches:
    - use-env-flags.diff - use *FLAGS environment variables while building
      makedic
    - warning-fixes.diff - fix warnings generated because of hardening flags
  * Simplify debian/rules and enable parallel build
  * Standards-Version 3.9.5 — no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 03 May 2014 01:27:39 +0200

kdrill (6.5deb2-9) unstable; urgency=low

  * Use romanization DU for ヅ and du for づ to avoid showing two entries
    for ZU and zu (closes: #684801).

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 14 Aug 2012 21:52:12 +0200

kdrill (6.5deb2-8) unstable; urgency=low

  * Fix buffer overflow. Thanks to Chow Loong Jin (Closes: #669359).
  * Standards-Version 3.9.3 — no changes needed

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 19 Apr 2012 22:20:58 +0200

kdrill (6.5deb2-7) unstable; urgency=low

  * Change sections of source, kdrill, and kanadic to 'education'

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 04 Dec 2011 17:31:15 +0100

kdrill (6.5deb2-6) unstable; urgency=low

  * Add trailing semicolons in *.desktop files for Categories. Fixes KDE
    warnings.

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 30 Nov 2011 17:11:49 +0100

kdrill (6.5deb2-5) unstable; urgency=low

  * New patch:
    - increase-maxmulti.diff — increase maximum number of kanji search results
      to 1000 (from 200, closes: #645650).

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 19 Oct 2011 11:55:13 +0200

kdrill (6.5deb2-4) unstable; urgency=low

  * Rewrite package descriptions (thanks to Martin Eberhard Schauer and
    Justin B Rye, closes: #640326).

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 04 Sep 2011 17:23:08 +0200

kdrill (6.5deb2-3) unstable; urgency=low

  * Fix buffer overflow with edict files with more than 163840 entries
    (closes: #632386)
  * Remove articles and capitalization at the beginnings of short decriptions
  * Fix lintian overrides file
  * Standards-Version 3.9.2 — no changes required
  * Add build-arch and build-indep targets
  * Extend allowed number of edict entries (by 0x10000)

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 03 Jul 2011 19:29:13 +0200

kdrill (6.5deb2-2) unstable; urgency=low

  * Install everything under debian/tmp first to avoid FTBFS when building
    only arch packages
  * Add Vcs-* fields in debian/control

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 19 Apr 2010 21:19:29 +0200

kdrill (6.5deb2-1) unstable; urgency=low

  * Repackage orig tarball in order to not use tarball-in-tarball scheme
  * Switch to source format 3.0 (quilt)
  * Do not use dbs (closes: #576052)
  * Remove generated files from orig tarball
  * Use dh overrides in debian/rules
  * Standards-Version 3.8.4 — no changes needed

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 19 Apr 2010 16:24:50 +0200

kdrill (6.5dbs-4) unstable; urgency=low

  * New patches:
    - 11-timeout-miss - patch from Maurice Massar to count timeout as a miss
      (closes: #292305)
  * Add missing ${misc:Depends}
  * Standards-Version 3.8.3
    - add 'patch' target 
  * Use debhelper 7 and dh
  * Add lintian overrides for menu-command-not-in-package, menu-icon-missing
    and desktop-command-not-in-package in kanadic package
  * Add desktop file for kdrill
  * Change menu section for kdrill to Applications/Education
  * Add desktop files for kanadic

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 17 Aug 2009 16:55:04 +0200

kdrill (6.5dbs-3) unstable; urgency=low

  * Fix typo s/--as-neede/--as-needed/ 
  * New patches:
    - 02-implicit-exit-fix - fix incompatible implicit declaration of exit()
    - 03-pointer-fixes - fix warnings about pointer to int conversions
    - 10-search-segfault-fix - fix segfault when using search dialog
  * Add Homepage field

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 28 Apr 2008 14:15:55 +0200

kdrill (6.5dbs-2) unstable; urgency=low

  * Clean directories before building, fixes some FTBFSes

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 23 Apr 2008 15:27:15 +0200

kdrill (6.5dbs-1) unstable; urgency=low

  * New upstream release (closes: #438843)
  * New maintainer (closes: #465962)
  * Use dbs
  * Cleanup debian/rules and other files under debian/
  * Debhelper compatibility level 6
  * Standards-Version 3.7.3
  * Fix unquoted strings in menu entries
  * Adjust debian/copyright
  * New patch:
    - 01-manpages-fixes - fix some errors reported by lintian
  * Fix spelling mistake in kanadic package description (closes: #363994) 
  * Acknowledge NMUs (closes: #349174, #370267, #331876)
  * Build-depend on x11proto-core-dev instead of x-dev

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 23 Apr 2008 15:06:38 +0200

kdrill (6.4-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * cdebconf transition. Removed unnecessary cdebconf depends. Closes: #331876

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Thu, 16 Nov 2006 10:46:29 +0100

kdrill (6.4-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Build-depend on xutils-dev for the X11R7 transition, and adjust the
    packaging to use the FHS paths. (Closes: #364247)

 -- Julien Danjou <acid@debian.org>  Fri, 19 May 2006 11:53:03 +0200

kdrill (6.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on xlibs-dev with an explicit build-dependency
    on each required package. (Closes: #346998)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 21 Jan 2006 13:48:00 +0100

kdrill (6.4-2) unstable; urgency=medium

  * This is a non-feature release. This is just to "unstick" the autobuilders

 -- Philip Brown <pbrown@debian.org>  Thu, 17 Mar 2005 15:32:11 -0500

kdrill (6.4-1) unstable; urgency=low

  * New upstream release
  * fixes upstream bug closing sub-windows
  * Updated README file
    Closes: #245553: debconf note related (note no longer needed)
    Closes: #245551: french translation, no longer needed
    Closes: #245060: japanese translation, no longer needed

 -- Philip Brown <pbrown@vore.debian.org>  Sun,  9 Jan 2005 15:32:11 -0500

kdrill (6.3.1-1) unstable; urgency=low

  * New upstream release
  * Config script now *really* works  (closes #167374)
  * Postinst for config script and dpkg
  * Depends on debconf  (closes #167375)
  * Depends on libxaw7-dev  (closes #169979)
  * Added in attempt to use po-debconf
  * Migrated pixmaps to new official location of /usr/share/pixmaps
  * Added spanish po translation to test the po-debconf usage
    contributed by Javier Fernandez-Sanguino Pen~a

 -- Philip Brown <pbrown@debian.org>  Wed, 18 Feb 2004 07:55:54 +0200


kdrill (6.2.1-1) unstable; urgency=low

  * New upstream release:
  * Improved radkfile loading
  * allow split-up of search string in kanji
  * improved radical search window

 -- Philip Brown <pbrown@debian.org>  Mon, 15 Sep 2003 07:55:54 +0200

kdrill (6.0-1) unstable; urgency=low

  * New upstream release
  * Adds 'radical' search method, using radkfile from xjdic

    Closes: #165131: kanjidic no longer gzipped in debian
    Closes: #166229: adjust depend on kanjidic package to be rev-specific
    
 -- Philip Brown <pbrown@debian.org>  Sat, 12 Oct 2002 02:01:02 -0400

kdrill (5.12.2-1) unstable; urgency=low

  * New upstream release
  * made cut-n-paste work under debian
  * added some extra search filtering

 -- Philip Brown <pbrown@debian.org>  Mon,  2 Sep 2002 08:00:10 +0200

kdrill (5.11.9-1) unstable; urgency=low

  * New upstream release
  * fixed default location of kanjidic
    Closes: #151849

 -- Philip Brown <pbrown@debian.org>  Sun,  7 Jul 2002 05:43:46 +0200

kdrill (5.11.7-1) unstable; urgency=high

  * New upstream release
    Closes: #140364 (adds workaround for button gets stuck due to Xaw6 bug)
  * fixes romaji input bug(s)
  * cleaned up code arrangement a little
       
 -- Philip Brown <pbrown@debian.org>  Mon,  8 Apr 2002 00:20:16 -0400

kdrill (5.11.5-1) unstable; urgency=medium

  * New upstream release
    Closes: #121665 (BADCACHE array overflow)
  * Added timer option
  * Appearance of top level slightly changed, so that it behaves better
    for resizes.

 -- Philip Brown <pbrown@debian.org>  Mon,  3 Dec 2001 03:52:32 -0800

kdrill (5.11.2-1) unstable; urgency=low

  * New upstream release
    Closes: #109900
      ('next' button in Learn window always random)

 -- Philip Brown <pbrown@debian.org>  Mon, 27 Aug 2001 08:39:05 -0700

kdrill (5.11.1-1) unstable; urgency=medium

  * New upstream release (add 'learn' window, +patch for ChangeMode())
    Closes: #105972

 -- Philip Brown <pbrown@debian.org>  Sat,  28 Jul 2001 12:25:05 -0700

kdrill (5.10-6) unstable; urgency=high

  * more debian-build-only changes. Completely
    rewrote rules file to match up with "rules.multi2" example for
    debhelper. This is to fix the kdrill binary not getting put in
    the package, after I turned "DH_COMPAT=3" back on.
    Closes: #93815

 -- Philip Brown <pbrown@debian.org>  Sat,  14 Apr 2001 12:25:05 -0700

kdrill (5.10-5) unstable; urgency=high

  * No source changes, just debian stuff:
  * changed dist to unstable.
  * removed the old hardcoded app-defaults dir mentioned in 'dirs'
  * added a Build-Depends line to control
  * forced "export DH_COMPAT=3" in rules
  * changed xpm copy in rules to match new install tree structure under debian

 -- Philip Brown <pbrown@debian.org>  Sat,  18 Mar 2001 12:25:05 -0700

kdrill (5.10-4) testing; urgency=high

  change section for kdrill from "games" to "text" to be consistent.

 -- Philip Brown <pbrown@debian.org>  Tue,  20 Feb 2001 12:25:05 -0700

kdrill (5.10-3) unstable; urgency=high

  removing hardcode in 'rules' file to let Imake work for
  installing app-defaults files now
  urgency=high so that this will go in quickly for the freeze.

 -- Philip Brown <pbrown@debian.org>  Sat,  17 Feb 2001 12:25:05 -0700

kdrill (5.10-2) unstable; urgency=low

  Just a renumbering, to try to get debian releases sorted out with
  the binary re-compile I had to do.
  No actual change since 5.10-1

 -- Philip Brown <pbrown@debian.org>  Sat,  05 Jan 2000 12:25:05 -0700

kdrill (5.10-1) frozen unstable; urgency=low

  * New upstream release (lots of small patches)

 -- Philip Brown <pbrown@debian.org>  Wed,  14 Aug 2000 15:25:05 -0700

kdrill (5.9.9-1) frozen unstable; urgency=medium

  * New upstream release (lots of small patches)
  * New maintainer (Upstream author, me)
  * My thanks go to Fabien for creating and maintaining the debian package
    until now

 -- Philip Brown <pbrown@debian.org>  Wed,  2 Aug 2000 15:25:05 -0700

kdrill (5.9.3-2) frozen unstable; urgency=low

  * On sparc, main should return 0 to exit properly. Elsewhere, it
    returns an error code. That's why it doesn't compile on sparc.
    (Closes: Bug#52688)

 -- Fabien Ninoles <fab@tzone.org>  Sun, 23 Jan 2000 21:06:58 -0500

kdrill (5.9.3-1) unstable; urgency=low

  * New upstream version
  * Happy New Year everybody!

 -- Fabien Ninoles <fab@tzone.org>  Tue, 11 Jan 2000 22:00:17 -0500

kdrill (5.9-1) unstable; urgency=low

  * New Upstream Version
  * Kanjidic are now compressed and move to /usr/share/edict. Thanks to
    Magnus for pointing me this. (Closes: 52688)
  * BTW, I move all kanji[kana] dictionnaries at the same place.

 -- Fabien Ninoles <fab@tzone.org>  Thu, 16 Dec 1999 08:14:56 -0500

kdrill (5.8.beta1.5.9-1) unstable; urgency=low

  * Nouvelle version beta upstream.
  * Mostly an upstream release of the last fixes.

 -- Fabien Ninoles <fab@tzone.org>  Sat, 30 Oct 1999 14:41:35 -0400

kdrill (5.8-5) unstable; urgency=low

  * Modify the description by request from the upstream author.

 -- Fabien Ninoles <fab@tzone.org>  Thu, 21 Oct 1999 08:30:26 -0400

kdrill (5.8-4) unstable; urgency=low

  * From a suggestion of the author, augments the MAXTRANSLATIONALLOWED
    to 0x30000 to cope with edict size.

 -- Fabien Ninoles <fab@tzone.org>  Sun, 17 Oct 1999 22:21:37 -0400

kdrill (5.8-3) unstable; urgency=low

  * FHS compliance of the package.

 -- Fabien Ninoles <fab@tzone.org>  Thu,  9 Sep 1999 20:47:49 -0400

kdrill (5.8-2) unstable; urgency=low

  * Change the icon location in the menu file. Closes: #43884

 -- Fabien Ninoles <fab@tzone.org>  Wed,  1 Sep 1999 07:56:10 -0400

kdrill (5.8-1) unstable; urgency=low

  * a new version with bug fix on the skip search.
  * Move KDrill menu entry from Apps/Educational to Apps/Text
  * Upstream now include makedic and kanadic
  * Change in the licence allow now main, although their a suggest
    for non-free package edict.
  * Add kanjidic to kanadic.
  * Add menu entries for kanadic.
  * Add dependencies to kanji fonts (in the form of a Recommends so you
    can use your prefer one).

 -- Fabien Ninoles <fab@tzone.org>  Sun, 27 Jun 1999 22:57:51 -0400

kdrill (4.0-1) unstable; urgency=low

  * Initial Release.

 -- Fabien Ninoles <fab@tzone.org>  Sun,  4 Oct 1998 23:22:10 -0400

